package eu.eudat.core.models;

import types.LoggingType;

/**
 * Created by ikalyvas on 5/30/2018.
 */
public abstract class LoggingModel<T> {
    private T data;
    private LoggingType type;
    private String message;

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }

    public LoggingType getType() {
        return type;
    }

    public void setType(LoggingType type) {
        this.type = type;
    }
}
